import datetime
import os


def get_current_date():
    return datetime.datetime.now()


def file_exists(filename):
    os.path.exists(filename)


def add(x, y):
    return x + y


def assert_equals(message, expected, actual):
    if expected != actual: print(message)


def open_window(parent, top, bottom, left, right, modal):
    do_something_with(parent, top, bottom, left, right, modal)

class Parent():
    def open_modal_window(self, d):
        pass

parent = Parent()

top = bottom = left = right = modal = None

open_window(parent, top, bottom, left, right, modal)


dimensions = (top, bottom, left, right)
parent.open_modal_window(dimensions)



def do_something_with(*args):
    pass

